Create account / Log in

crash on ubuntu 18.04.3 LTS

Issues with the Vassal engine.

Moderators: Tim M, uckelman

crash on ubuntu 18.04.3 LTS

Postby chrisdavis103 » November 16th, 2019, 5:20 pm

SYS CONFIG:
Alienware Notebook
16GB memory
Intel Core i7-6700HQ CPU @ 2.6GHz x 8
GeForce GTX 1060/PCIe/SSE2
Gnome 3.28.2
64 bit OS

JAVA VERSION:
openjdk version "11.0.4" 2019-07-16
OpenJDK Runtime Environment (build 11.0.4+11-post-Ubuntu-1ubuntu218.04.3)
OpenJDK 64-Bit Server VM (build 11.0.4+11-post-Ubuntu-1ubuntu218.04.3, mixed mode, sharing)

Here is the errorLog file after the crash. Happens loading any module.

2019-11-17 01:02:44,250 [0-main] INFO VASSAL.launch.StartUp - Starting
2019-11-17 01:02:44,252 [0-main] INFO VASSAL.launch.StartUp - OS Linux 5.0.0-3$
2019-11-17 01:02:44,252 [0-main] INFO VASSAL.launch.StartUp - Java version 11.$
2019-11-17 01:02:44,252 [0-main] INFO VASSAL.launch.StartUp - VASSAL version 3$
2019-11-17 01:02:44,450 [0-AWT-EventQueue-0] INFO VASSAL.launch.ModuleManager $
2019-11-17 01:04:04,115 [0-SwingWorker-pool-743281699-thread-3] INFO VASSAL.la$
2019-11-17 01:04:04,177 [0-SwingWorker-pool-743281699-thread-3] INFO VASSAL.la$
2019-11-17 01:04:04,179 [0-SwingWorker-pool-743281699-thread-3] INFO VASSAL.la$
2019-11-17 01:04:04,183 [0-SwingWorker-pool-743281699-thread-3] INFO VASSAL.to$
2019-11-17 01:04:04,689 [1-main] INFO VASSAL.launch.StartUp - Starting
2019-11-17 01:04:04,691 [1-main] INFO VASSAL.launch.StartUp - OS Linux 5.0.0-3$
2019-11-17 01:04:04,691 [1-main] INFO VASSAL.launch.StartUp - Java version 11.$
2019-11-17 01:04:04,691 [1-main] INFO VASSAL.launch.StartUp - VASSAL version 3$
2019-11-17 01:04:04,691 [1-main] INFO VASSAL.launch.Launcher - Player
2019-11-17 01:04:05,275 [0-ProcessLauncher-2] WARN VASSAL.tools.logging.Logged$
WARNING: Illegal reflective access by VASSAL.tools.image.ImageIOImageLoader (fi$
WARNING: Please consider reporting this to the maintainers of VASSAL.tools.imag$
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflec$
WARNING: All illegal access operations will be denied in a future release
chrisdavis103
 
Posts: 1
Joined: November 16th, 2019, 5:09 pm

Re: crash on ubuntu 18.04.3 LTS

Postby uckelman » November 17th, 2019, 2:10 pm

Thus spake chrisdavis103:
> JAVA VERSION:
> openjdk version "11.0.4" 2019-07-16

This is your problem.

VASASL 3.2.17 does not work with any version of Java later than Java 8.

(VASSAL 3.3.0 will work with Java 9 and later, but isn't ready for release
yet.)

--
J.
User avatar
uckelman
Site Admin
 
Posts: 8209
Joined: December 10th, 2007, 9:48 am
Location: Durham, England


Return to Technical Support & Bugs

Who is online

Users browsing this forum: No registered users and 2 guests